Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 232417 - Review Request: firmware-addon-dell - A firmware-tools plugin to handle BIOS/Firmware for Dell systems
Summary: Review Request: firmware-addon-dell - A firmware-tools plugin to handle BIOS/...
Keywords:
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Matt Domsch
QA Contact: Fedora Package Reviews List
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-03-15 13:11 UTC by Michael E Brown
Modified: 2007-11-30 22:11 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2007-03-16 14:11:55 UTC
matt_domsch: fedora-review+
jwboyer: fedora-cvs+


Attachments (Terms of Use)

Description Michael E Brown 2007-03-15 13:11:38 UTC
Spec URL: http://linux.dell.com/libsmbios/download/firmware-addon-dell/firmware-addon-dell-1.2.1/firmware-addon-dell.spec

SRPM URL: http://linux.dell.com/libsmbios/download/firmware-addon-dell/firmware-addon-dell-1.2.1/firmware-addon-dell-1.2.1-1.src.rpm

Description: 

The firmware-addon-dell package provides plugins to firmware-tools which enable
BIOS updates for Dell system, plus pulls in standard inventory modules
applicable to most Dell systems.

Note: rpmlint gives one bogus error: 
$ rpmlint firmware-addon-dell-1.2.1-1.noarch.rpm 
E: firmware-addon-dell explicit-lib-dependency libsmbios-bin

This is not an error because it is not an explicit lib dependency. The libsmbios-bin package has no libraries, just executables, which this plugin calls. The automatic dep generator does not find this dependency.

Comment 1 Rudolf Kastl 2007-03-15 14:31:47 UTC
heyyas and thanks for fixing the unowned dir issue on the firmware tools package
that fast. that motivated me to also look at the dell plugin so here it goes:

/usr/share/firmware/dell should probably be owned by this package


Comment 2 Michael E Brown 2007-03-15 14:57:55 UTC
There is no dell-specific /usr/share/firmware subdirectory.

Comment 3 Rudolf Kastl 2007-03-15 15:00:44 UTC
you are right but theres 

/usr/share/firmware/bios which is specified in

storage_subdir=bios

the question is just if its general it probably should be owned by
firmware-tools but whats a fact is that it most probably should be owned by a
package.

sorry for the bogus report above. happens... ;)

Comment 4 Michael E Brown 2007-03-15 15:08:38 UTC
problem is that firmware-addon-ibm may also want to put stuff in
/usr/share/firmware/bios/ (example only, I can hope, though. :)

Comment 6 Matt Domsch 2007-03-15 22:04:28 UTC
rpmlint results
E: firmware-addon-dell explicit-lib-dependency libsmbios-bin
 - false positive commented in spec file

W: firmware-addon-dell strange-permission firmware-addon-dell.spec 0600
 - another false positive - CVS won't have this problem of course


MUSTs:
* passes naming guidelines
* spec file name correct
* packaging guidelines:
  * name ok
  * license OK
  * nothing prebuilt
  * files FHS
  * passes rpmlint
  * has changelog
  * no packager tag
  * no vendor tag
  * has license tag
  * summary doesn't end in .
  * no PreReq
  * Source0 needs fixing!!!
  * buildroot OK
  * requires ok
  * summary and description ok
  * encoding UTF8
  * documentation ok
  * optflags unneeded
  * debuginfo not disabled
  * no static libs
  * no system library dupes
  * no rpath
  * config is noreplace, not in /usr
  * no initscripts
  * no desktop file needed
  * uses macros not hard-coded dirs
  * consistent use of macros
  * no locales
  * no copying of files in setup
  * no parallel make as no make
  * no scriptlets
  * no conditional deps
  * builds in mock with separate user
  * not relocatable
  * is code, not content
  * files and dirs owned properly
  * not a web app

* License is GPL/OSL dual, ok
* License tag OK
* licenses in %doc
* spec in english
* spec legible
* sources match upstream
* compiles and builds on all arches (it's noarch)
* BuildRequires correct
* No locales to care about
* no shared libs
* not relocatable
* owns the dirs it creates
* no dup files
* defattr present
* file permissions ok
* consistent use of macros
* contains code
* no need for separate -doc
* %doc files present but not critical for runtime
* no headers
* no static libs
* no .pc files
* no shared libs
* no -devel
* no libtool archives
* no desktop file needed
* directory ownership ok

SHOULDs:
* licenses present upstream
* no translations - ok
* builds in mock
* builds into noarch
* runs fine
* no scriptlets
* no subpackages
* no .pc files
* no file deps


APPROVED.


Comment 7 Michael E Brown 2007-03-15 22:41:30 UTC
New Package CVS Request
=======================
Package Name: firmware-addon-dell
Short Description: A firmware-tools plugin to handle BIOS/Firmware for Dell systems
Owners: mebrown@michaels-house.net,matt_domsch@dell.com
Branches: FC-6 EPEL-4 EPEL-5
InitialCC:


Note You need to log in before you can comment on or make changes to this bug.